Package com.databricks.jdbc.api.impl.converters

## Enum IntervalConverter.Field

- java.lang.Object
- - java.lang.Enum<IntervalConverter.Field>
  - - com.databricks.jdbc.api.impl.converters.IntervalConverter.Field

All Implemented Interfaces:
  `Serializable`, `Comparable<IntervalConverter.Field>`

Enclosing class:
  IntervalConverter

    public static enum IntervalConverter.Field
    extends Enum<IntervalConverter.Field>

The supported fields in the SQL syntax.

### Enum Constant Summary

Enum Constants
`DAY`
`HOUR`
`MINUTE`
`MONTH`
`SECOND`
`YEAR`

### Method Summary

All Methods Static Methods Concrete Methods
`static IntervalConverter.Field` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static IntervalConverter.Field[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### YEAR

    public static final IntervalConverter.Field YEAR

#### MONTH

    public static final IntervalConverter.Field MONTH

#### DAY

    public static final IntervalConverter.Field DAY

#### HOUR

    public static final IntervalConverter.Field HOUR

#### MINUTE

    public static final IntervalConverter.Field MINUTE

#### SECOND

    public static final IntervalConverter.Field SECOND

### Method Detail

#### values

    public static IntervalConverter.Field[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IntervalConverter.Field c : IntervalConverter.Field.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IntervalConverter.Field valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null